Subject: Re: bug#20532: 25.0.50; void-variable cursor-sensor-inhibit

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 May 2015 18:37:10 -0400

>> Can you think of any reason why you might have started your search in
>> one buffer and ended it in another?
> I hit C-' by mistake inbetween an isearch while in an org file and that
> called `org-cycle-agenda-files` and switched to a different org file while
> the search was active.

> I tried doing
> - C-s
> - search something that fails search / search something that has search hits
> - C-' (switch to a different org file)
> - C-g

> But that issue did not occur this time; isearch quit gracefully.

Hmm... thanks, I think that will give me enough info for now.

> (defadvice call-interactively (around ido-ubiquitous activate)
>   "Implements the behavior specified in `ido-ubiquitous-command-overrides'."
>   (let* ((cmd (ad-get-arg 0))
>          (override (ido-ubiquitous-get-command-override cmd)))
>     (when override
>       (ido-ubiquitous--debug-message "Using override `%s' for command `%s'"
>                                      override cmd))
>     (ido-ubiquitous-with-override override
>         ad-do-it)))
>
> I don't understand what it's doing in this advice though.

It's kinda nasty, but I think it's not responsible for what you're
seeing,

        Stefan